## xdg-desktop-portal-gnome 42.0.1

=== meson_options.txt ===
option('dbus_service_dir',
  type: 'string',
  description: 'Directory for D-Bus service files'
)

option('systemduserunitdir',
  type: 'string',
  description: 'Directory for systemd user service files'
)

## xdg-desktop-portal-gnome 41.0

=== debian/changelog ===
xdg-desktop-portal-gnome (41.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #994773)

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 18:35:44 +0100

=== debian/control ===
Source: xdg-desktop-portal-gnome
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 gsettings-desktop-schemas-dev (>= 41),
 libfontconfig-dev,
 libglib2.0-dev (>= 2.44),
 libgnome-desktop-3-dev,
 libgtk-4-dev (>= 4.0),
 meson (>= 0.53.0),
 xdg-desktop-portal-dev (>= 1.7.1),
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gnome.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gnome

Package: xdg-desktop-portal-gnome
Architecture: linux-any
Multi-arch: foreign
Depends:
 dbus-user-session | dbus-x11,
 xdg-desktop-portal (>= 1.7.1),
 xdg-desktop-portal-gtk,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 accountsservice,
 evince,
Provides:
 xdg-desktop-portal-backend (= 1.7.1),
Description: GNOME portal backend for xdg-desktop-portal
 xdg-desktop-portal-gnome provides a GNOME implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using
 GNOME services (session manager, screenshot provider, Shell) or
 GNOME-style user interfaces.
 .
 Non-GNOME GTK-based desktop environments should normally use
 xdg-desktop-portal-gtk or their own portal implementation instead of
 this one.

## xdg-desktop-portal-gnome 42.0.1

=== debian/changelog ===
xdg-desktop-portal-gnome (42.0.1-1ubuntu2) jammy; urgency=medium

  * Use libadwaita again:
    It's better not to diverge as much by reverting upstream changes, as it
    would make quite hard to get point-release updates, leaving the LTS in a
    complicated state. Since libadwita is handling the ubuntu color accents
    properly, let's just use it, as it's already part of Shell and other main
    components (See lp:1967777).
    - Revert "debian/control.in: Drop libadwaita-1-dev from Build-Depends"
    - Revert "Add patches to revert using libadwaita"

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Apr 2022 20:24:04 +0200

xdg-desktop-portal-gnome (42.0.1-1ubuntu1) jammy; urgency=medium

  * debian/control.in: Drop libadwaita-1-dev from Build-Depends (LP: #1967777)
  * Add patches to revert using libadwaita
    - Also drops the Accounts portal so it automatically falls back to
      using the xdg-desktop-portal-gtk version instead
  * Update Vcs fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Apr 2022 13:15:18 -0400

xdg-desktop-portal-gnome (42.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 14:34:07 -0400

xdg-desktop-portal-gnome (42~rc-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libadwaita-1-dev
  * Build-Depend on libgnome-desktop-4-dev & libgnome-bg-4-dev
  * debian/patches: Drop all patches: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:57:18 -0500

xdg-desktop-portal-gnome (41.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - use the correct case for Multi-Arch to silent a lintian warning
  * Create a control.in and use dh-sequence-gnome.
    This is standard for our GNOME packages and also will mean the
    translations will be handled correctly in Ubuntu.

  [ Simon McVittie ]
  * d/patches: Update translations from upstream gnome-41 branch

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 10:54:57 +0000

xdg-desktop-portal-gnome (41.1-1) unstable; urgency=medium

  * New upstream release
    - Force use of cairo GSK renderer to avoid a crash
    - Translation updates
  * Add missing runtime dependency on gsettings-desktop-schemas
  * Drop unnecessary build-dependency on libgnome-desktop-3-dev.
    The code formerly used from gnome-desktop3 has been copied into this
    project.
  * Add Recommends on gnome-shell | budgie-desktop.
    Many of the portal implementations in this package need a mutter-based
    window manager.
  * Add Recommends on gnome-settings-daemon.
    The settings portal uses this if available.

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Nov 2021 20:45:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders:
- Simon McVittie <smcv@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
+ dh-sequence-gnome,
  gsettings-desktop-schemas-dev (>= 41),
  libfontconfig-dev,
+ libadwaita-1-dev,
  libglib2.0-dev (>= 2.44),
- libgnome-desktop-3-dev,
+ libgnome-desktop-4-dev,
+ libgnome-bg-4-dev,
  libgtk-4-dev (>= 4.0),
  meson (>= 0.53.0),
  xdg-desktop-portal-dev (>= 1.7.1),
@@ -18,18 +25,25 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-gnome.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-gnome
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/master
+
 
 Package: xdg-desktop-portal-gnome
 Architecture: linux-any
-Multi-arch: foreign
+Multi-Arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
+ gsettings-desktop-schemas,
  xdg-desktop-portal (>= 1.7.1),
  xdg-desktop-portal-gtk,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ gnome-shell (>= 41~) | budgie-desktop (>= 10.5.3-3~),
+ gnome-settings-daemon (>= 41~),
 Suggests:
  accountsservice,
  evince,

## xdg-desktop-portal-gnome 42.1

=== debian/changelog ===
xdg-desktop-portal-gnome (42.1-0ubuntu2) jammy; urgency=medium

  * New upstream bugfix release (LP: #1971168)

 -- Sergio Costas Rodriguez <sergio.costas@ubuntu.com>  Tue, 21 Nov 2023 20:22:47 +0100

xdg-desktop-portal-gnome (42.1-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (LP: #1970609)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 May 2022 16:02:47 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Simon McVittie <smcv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
@@ -27,8 +27,8 @@
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/jammy
 
 
 Package: xdg-desktop-portal-gnome

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

configure_options = \
	$(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## xdg-desktop-portal-gnome 43.0

=== debian/changelog ===
xdg-desktop-portal-gnome (43.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 17:32:35 -0400

xdg-desktop-portal-gnome (43~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/xdg-desktop-portal-gnome.install: Install gsettings schema

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 10:33:39 -0400

xdg-desktop-portal-gnome (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum xdg-desktop-portal to 1.15.0
  * debian/control.in: Build-Depend on systemd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 07:13:21 -0400

xdg-desktop-portal-gnome (42.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 17:30:22 +0100

xdg-desktop-portal-gnome (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970609)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Apr 2022 15:42:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
@@ -20,16 +19,14 @@
  libgnome-bg-4-dev,
  libgtk-4-dev (>= 4.0),
  meson (>= 0.53.0),
- xdg-desktop-portal-dev (>= 1.7.1),
+ systemd (>= 242),
+ xdg-desktop-portal-dev (>= 1.15.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/jammy
-
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
 
 Package: xdg-desktop-portal-gnome
 Architecture: linux-any
@@ -37,7 +34,7 @@
 Depends:
  dbus-user-session | dbus-x11,
  gsettings-desktop-schemas,
- xdg-desktop-portal (>= 1.7.1),
+ xdg-desktop-portal (>= 1.15.0),
  xdg-desktop-portal-gtk,
  ${misc:Depends},
  ${shlibs:Depends},

## xdg-desktop-portal-gnome 43.1

=== debian/changelog ===
xdg-desktop-portal-gnome (43.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Drop unused dbus build-dependency

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2022 14:22:46 -0500

xdg-desktop-portal-gnome (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 18 Oct 2022 13:25:20 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
- dbus,
  debhelper-compat (= 13),
  dh-sequence-gnome,
  gsettings-desktop-schemas-dev (>= 41),

## xdg-desktop-portal-gnome 44~beta

=== debian/changelog ===
xdg-desktop-portal-gnome (44~beta-1ubuntu2) lunar; urgency=medium

  * d/p/screencast-Duplicate-monitor-and-window-stream-info.patch:
    Cherry-pick.  Fix use-after-free crash when window list changes between
    being shown and the user making their selection. (cherry picked from
    commit b87215b637799ef771289666bd57dd8bb71f7061 in debian/master / 44.0-1
    in experimental) (LP: #2012341)

 -- Iain Lane <laney@ubuntu.com>  Sun, 16 Apr 2023 21:08:30 +0100

xdg-desktop-portal-gnome (44~beta-1ubuntu1) lunar; urgency=medium

  * Revert commit that is incompatible with mutter 43 (LP: #2008165, #2008428)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 19:50:07 -0500

xdg-desktop-portal-gnome (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 15:20:30 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
@@ -17,7 +18,7 @@
  libgnome-desktop-4-dev,
  libgnome-bg-4-dev,
  libgtk-4-dev (>= 4.0),
- meson (>= 0.53.0),
+ meson (>= 0.57.0),
  systemd (>= 242),
  xdg-desktop-portal-dev (>= 1.15.0),
  xmlto,

## xdg-desktop-portal-gnome 44.2

=== debian/changelog ===
xdg-desktop-portal-gnome (44.2-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 15:44:36 -0400

xdg-desktop-portal-gnome (44.1-2) experimental; urgency=medium

  * Add patch to send remote file URIs as local FUSE URIs (LP: #1971168)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 18 Jul 2023 10:35:30 -0400

xdg-desktop-portal-gnome (44.1-1) experimental; urgency=medium

  * New upstream release
    - Improve handling of non-existing files on the filechooser portal
    - Minor debugging improvements to the backgrounds portal
    - More precise initialization timing
      (https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/79)
    - Fix duplicate monitor and window streams (LP: #2012341)
      (https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/76)
    - Translation updates
  * Drop screencast-Duplicate-monitor-and-window-stream-info.patch,
    included in the 44.1 upstream release.

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 09:43:25 -0400

xdg-desktop-portal-gnome (44.0-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
    - Grant restore permission to transient mode by default
    - Translation updates

  [ Iain Lane ]
  * d/p/screencast-Duplicate-monitor-and-window-stream-info.patch:
    Cherry-pick.  Fix use-after-free crash when window list changes between
    being shown and the user making their selection. (LP: #2012341)

 -- Iain Lane <laney@debian.org>  Sun, 16 Apr 2023 20:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
@@ -23,7 +22,7 @@
  xdg-desktop-portal-dev (>= 1.15.0),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
 Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome

## xdg-desktop-portal-gnome 45.0

=== debian/changelog ===
xdg-desktop-portal-gnome (45.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:26:06 -0400

xdg-desktop-portal-gnome (45~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:30:38 -0400

xdg-desktop-portal-gnome (44.2-2) unstable; urgency=medium

  * Bump minimum xdg-desktop-portal to 1.17.1 (LP: #2013116) (Closes: #1032584)
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 17:01:39 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libgtk-4-dev (>= 4.0),
  meson (>= 0.57.0),
  systemd (>= 242),
- xdg-desktop-portal-dev (>= 1.15.0),
+ xdg-desktop-portal-dev (>= 1.17.1),
  xmlto,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -33,7 +33,7 @@
 Depends:
  dbus-user-session | dbus-x11,
  gsettings-desktop-schemas,
- xdg-desktop-portal (>= 1.15.0),
+ xdg-desktop-portal (>= 1.17.1),
  xdg-desktop-portal-gtk,
  ${misc:Depends},
  ${shlibs:Depends},

## xdg-desktop-portal-gnome 45.1

=== debian/changelog ===
xdg-desktop-portal-gnome (45.1-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - Require a version of GNOME Shell or Budgie based on libmutter-12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:55:56 -0500

xdg-desktop-portal-gnome (45.1-1) experimental; urgency=medium

  * New upstream release
  * Drop LP: #1971168 patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:45:43 -0500

xdg-desktop-portal-gnome (45.0-2) experimental; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Update remote file URIs patch with latest version accepted upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Nov 2023 11:01:52 -0500

xdg-desktop-portal-gnome (44.2-3) unstable; urgency=medium

  * Require a version of GNOME Shell or Budgie based on libmutter-12.
    This version of x-d-p-gnome does not work with GNOME 43 in bookworm.
    (Closes: #1031842)
    - Increase Recommends to gnome-shell 44~ or budgie-desktop 10.7.2-0.1~
    - Add Breaks on older versions
  * d/control.in, d/gbp.conf: Use debian/trixie packaging branch.
    The debian/latest branch is now in use for GNOME 45.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 10:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
@@ -38,11 +34,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnome-shell (>= 41~) | budgie-desktop (>= 10.5.3-3~),
+ gnome-shell (>= 44~) | budgie-desktop (>= 10.7.2-0.1~),
  gnome-settings-daemon (>= 41~),
 Suggests:
  accountsservice,
  evince,
+Breaks:
+ budgie-desktop (<< 10.7.2-0.1~),
+ gnome-shell (<< 44~),
 Provides:
  xdg-desktop-portal-backend (= 1.7.1),
 Description: GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,5 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+override_dh_gnome_clean:

## xdg-desktop-portal-gnome 46.0

=== debian/changelog ===
xdg-desktop-portal-gnome (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:28:05 +0000

xdg-desktop-portal-gnome (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4
  * Enable auto features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 10:13:08 -0400

xdg-desktop-portal-gnome (45.1-3) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 18:06:40 +0000

xdg-desktop-portal-gnome (44.2-4) unstable; urgency=medium

  * d/control: Stop generating from d/control.in
  * Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 17:53:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
  gsettings-desktop-schemas-dev (>= 41),
  libfontconfig-dev,
- libadwaita-1-dev,
+ libadwaita-1-dev (>= 1.4),
  libglib2.0-dev (>= 2.44),
  libgnome-desktop-4-dev,
  libgnome-bg-4-dev,
  libgtk-4-dev (>= 4.0),
  meson (>= 0.57.0),
- systemd (>= 242),
+ systemd-dev (>= 242),
  xdg-desktop-portal-dev (>= 1.17.1),
  xmlto,
 Rules-Requires-Root: no

## xdg-desktop-portal-gnome 46.2

=== debian/changelog ===
xdg-desktop-portal-gnome (46.2-3) unstable; urgency=medium

  * Break older versions of gnome-shell

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 21:29:06 -0400

xdg-desktop-portal-gnome (46.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:32:45 -0400

xdg-desktop-portal-gnome (46.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 09:30:16 -0400

xdg-desktop-portal-gnome (46.1-1) experimental; urgency=medium

  * New upstream release (LP: #2064732)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 10:29:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -42,7 +41,7 @@
  evince,
 Breaks:
  budgie-desktop (<< 10.7.2-0.1~),
- gnome-shell (<< 44~),
+ gnome-shell (<< 46~),
 Provides:
  xdg-desktop-portal-backend (= 1.7.1),
 Description: GNOME portal backend for xdg-desktop-portal

## xdg-desktop-portal-gnome 47.1

=== debian/changelog ===
xdg-desktop-portal-gnome (47.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:27:28 -0400

xdg-desktop-portal-gnome (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Sep 2024 10:40:16 +0200

xdg-desktop-portal-gnome (47~rc-1) experimental; urgency=medium

  * New upstream release
    - Fix restoring last used folder in the File Chooser portal
    - Fix selecting multiple window on single selection
    - Do not block xdg-desktop-portal-gnome when connecting to Nautilus
      (LP: #2077451)
    - Fix incorrectly set mimetype in the File Chooser portal
    - Translation updates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 16:58:01 +0200

xdg-desktop-portal-gnome (47~beta-2) experimental; urgency=medium

  * Cherry-pick 2 filepicker fixes
  * Add Depends: nautilus (>= 47~beta) since nautilus is now used
    as the portal filechooser

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 08:43:43 -0400

xdg-desktop-portal-gnome (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and gsettings-desktop-schemas
  * Break GNOME Shell << 47~
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Aug 2024 17:29:31 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
- gsettings-desktop-schemas-dev (>= 41),
+ gsettings-desktop-schemas-dev (>= 47~rc),
  libfontconfig-dev,
- libadwaita-1-dev (>= 1.4),
+ libadwaita-1-dev (>= 1.6~rc),
  libglib2.0-dev (>= 2.44),
  libgnome-desktop-4-dev,
  libgnome-bg-4-dev,
@@ -18,7 +18,7 @@
  xdg-desktop-portal-dev (>= 1.17.1),
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
 Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
@@ -28,20 +28,21 @@
 Multi-Arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- gsettings-desktop-schemas,
+ gsettings-desktop-schemas (>= 47~rc),
+ nautilus (>= 47~beta),
  xdg-desktop-portal (>= 1.17.1),
  xdg-desktop-portal-gtk,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnome-shell (>= 44~) | budgie-desktop (>= 10.7.2-0.1~),
+ gnome-shell (>= 47~) | budgie-desktop (>= 10.7.2-0.1~),
  gnome-settings-daemon (>= 41~),
 Suggests:
  accountsservice,
  evince,
 Breaks:
  budgie-desktop (<< 10.7.2-0.1~),
- gnome-shell (<< 46~),
+ gnome-shell (<< 47~),
 Provides:
  xdg-desktop-portal-backend (= 1.7.1),
 Description: GNOME portal backend for xdg-desktop-portal

## xdg-desktop-portal-gnome 47.2

=== debian/changelog ===
xdg-desktop-portal-gnome (47.2-2) unstable; urgency=medium

  * d/gbp.conf: Switch packaging and upstream branches for GNOME 47
  * d/p/notification-Fix-build-against-xdg-desktop-portal-1.19.1.patch,
    d/p/notification-Add-missing-GUnixFDList-argument.patch:
    Add proposed patches to fix build against x-d-p 1.19.x.
    The GNOME 48 branch of x-d-p-gnome already has the equivalent of
    this, but now that x-d-p 1.19.x is in unstable, we need this on the
    47.x branch as a stopgap until we are ready to upload GNOME Shell
    48 to unstable.
  * d/p/Initialize-GTK-before-opening-display-for-X11-too.patch:
    Add proposed patch to fix crashes with GTK 4.17.x in "GNOME on Xorg"
    session. Thanks to Sébastien Noel (Closes: #1096094)
  * d/x-d-p-gnome.lintian-overrides:
    Remove obsolete Lintian override for #1031037

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 16:46:17 +0000

xdg-desktop-portal-gnome (47.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 08:46:04 -0500

xdg-desktop-portal-gnome (47.1-4) unstable; urgency=medium

  * Team upload
  * Add proposed patch to fix slow startup with GTK4 4.17
    (Closes: #1089760) (LP: #2091952)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Jan 2025 04:10:44 -0500

xdg-desktop-portal-gnome (47.1-3) unstable; urgency=medium

  * Cherry-pick Fedora patch for compatibility with gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:03:48 -0500

## xdg-desktop-portal-gnome 48~beta.2

=== debian/changelog ===
xdg-desktop-portal-gnome (48~beta.2-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Merge packaging from unstable
    - d/x-d-p-gnome.lintian-overrides:
      Remove obsolete Lintian override for #1031037
    - d/gbp.conf: No changes needed in the 48.x branch
    - d/patches: Drop, not needed in the 48.x branch
  * d/p/gxdp-Initialize-successfully-if-running-under-X11.patch:
    Add proposed patch to fix initialization under "GNOME on Xorg"

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 18:23:40 +0000

xdg-desktop-portal-gnome (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum xdg-desktop-portal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 19:05:58 -0500

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  dh-sequence-gnome,
  gsettings-desktop-schemas-dev (>= 47~rc),
  libfontconfig-dev,
- libadwaita-1-dev (>= 1.6~rc),
+ libadwaita-1-dev (>= 1.7~alpha),
  libglib2.0-dev (>= 2.44),
  libgnome-desktop-4-dev,
  libgnome-bg-4-dev,
- libgtk-4-dev (>= 4.0),
+ libgtk-4-dev (>= 4.17.1),
  meson (>= 0.57.0),
  systemd-dev (>= 242),
- xdg-desktop-portal-dev (>= 1.17.1),
+ xdg-desktop-portal-dev (>= 1.19.1),
  xmlto,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

## xdg-desktop-portal-gnome 48~rc

=== debian/changelog ===
xdg-desktop-portal-gnome (48~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove X11 initialization patch: applied in new release
  * Bump Breaks to not migrate to Testing without gnome-shell 48
  * Release to unstable

  [ Alessandro Astone ]
  * Add patch to support using Papers instead of only Evince for print previews

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 10:20:00 -0500

## xdg-desktop-portal-gnome 48.0

=== debian/changelog ===
xdg-desktop-portal-gnome (48.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 11:24:24 -0400

xdg-desktop-portal-gnome (48.0-2) unstable; urgency=medium

  * Prefer papers-previewer to evince-previewer

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 12:04:37 -0400

xdg-desktop-portal-gnome (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:10:01 -0400

xdg-desktop-portal-gnome (48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 10:23:33 -0500

xdg-desktop-portal-gnome (48~beta.2-1ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 09:31:15 +0100

xdg-desktop-portal-gnome (47.1-4ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

  [ Jeremy Bícha ]
  * debian/salsa-ci.yml: Stop forcing oracular for Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Jan 2025 10:31:01 +0100

xdg-desktop-portal-gnome (47.1-3ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu oracular pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:04:44 -0500

xdg-desktop-portal-gnome (47.1-2ubuntu1) plucky; urgency=medium

  [ Alessandro Astone ]
  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

  [ Jeremy Bícha ]
  * d/salsa-ci.conf: use Ubuntu oracular pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 19 Nov 2024 17:47:07 +0100

xdg-desktop-portal-gnome (47.1-1ubuntu1) oracular; urgency=medium

  * Merge with debian branch (LP: #2082242), keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Sep 2024 22:58:39 +0200

xdg-desktop-portal-gnome (47~rc-1ubuntu1) oracular; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: Add specific dependency on ubuntu's desktop schemas and
      libadwaita.
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Sep 2024 15:15:42 +0200

xdg-desktop-portal-gnome (47~beta-2ubuntu1) oracular; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
  * debian/patches: Support brown accent color.
    This is required to fix the support for the custom warty accent color
  * debian/control: Add specific dependency on ubuntu's desktop schemas and
    libadwaita.
    We have defined a specific color, so let's increase the dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2024 20:31:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -20,8 +21,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/latest
 
 Package: xdg-desktop-portal-gnome
 Architecture: linux-any
@@ -35,14 +38,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnome-shell (>= 47~) | budgie-desktop (>= 10.7.2-0.1~),
+ gnome-shell (>= 48~) | budgie-desktop (>= 10.7.2-0.1~),
  gnome-settings-daemon (>= 41~),
 Suggests:
  accountsservice,
  evince,
 Breaks:
  budgie-desktop (<< 10.7.2-0.1~),
- gnome-shell (<< 47~),
+ gnome-shell (<< 48~),
 Provides:
  xdg-desktop-portal-backend (= 1.7.1),
 Description: GNOME portal backend for xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 include /usr/share/dpkg/default.mk
 
 configure_options = \
+	-Dauto_features=enabled \
+	-Ddefault_print_previewer=papers-previewer \
 	$(NULL)
 
 %:

## xdg-desktop-portal-gnome 49~alpha

=== debian/changelog ===
xdg-desktop-portal-gnome (49~alpha-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Jul 2025 15:44:28 +0200

xdg-desktop-portal-gnome (48.0-2ubuntu2) questing; urgency=medium

  * debian/patches: Launch snap-store instead of gnome-software (LP: #2058444)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Jun 2025 09:43:56 +0200

## xdg-desktop-portal-gnome 49~beta

=== debian/changelog ===
xdg-desktop-portal-gnome (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
  * Drop patch applied differently upstream
    - d/p/print-Add-support-for-papers-previewer.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Aug 2025 12:35:39 +0200

## xdg-desktop-portal-gnome 49~rc

=== debian/changelog ===
xdg-desktop-portal-gnome (49~rc-1ubuntu1) questing; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 02:41:32 +0200

xdg-desktop-portal-gnome (49~rc-1) unstable; urgency=medium

  * New upstream release
  * Add: Recommends papers
  * Remove Suggests: evince
  * Remove obsolete Rules-Requires-Root field
  * Remove remaining patch: applied in new release
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:13:02 -0400

## xdg-desktop-portal-gnome 49.0

=== debian/changelog ===
xdg-desktop-portal-gnome (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 14:11:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,13 +17,10 @@
  systemd-dev (>= 242),
  xdg-desktop-portal-dev (>= 1.19.1),
  xmlto,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
 
 Package: xdg-desktop-portal-gnome
 Architecture: linux-any
@@ -40,9 +36,9 @@
 Recommends:
  gnome-shell (>= 48~) | budgie-desktop (>= 10.7.2-0.1~),
  gnome-settings-daemon (>= 41~),
+ papers,
 Suggests:
  accountsservice,
- evince,
 Breaks:
  budgie-desktop (<< 10.7.2-0.1~),
  gnome-shell (<< 48~),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 configure_options = \
 	-Dauto_features=enabled \
-	-Ddefault_print_previewer=papers-previewer \
 	$(NULL)
 
 %:

## xdg-desktop-portal-gnome 50~alpha

=== debian/changelog ===
xdg-desktop-portal-gnome (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/p/Fix-typo-on-schema-name-reference.patch: Fix portal not starting
    (LP: #2138284)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Jan 2026 11:18:17 +0100

xdg-desktop-portal-gnome (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Refresh patches
  * d/p/appchooser: Mark forwarded not-needed
  * d/control: Bump minimum gsettings-desktop-schemas

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 12:41:17 +0100

xdg-desktop-portal-gnome (49.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:24:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xdg-desktop-portal-gnome
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
- gsettings-desktop-schemas-dev (>= 47~rc),
+ gsettings-desktop-schemas-dev (>= 50~),
  libfontconfig-dev,
  libadwaita-1-dev (>= 1.7~alpha),
  libglib2.0-dev (>= 2.44),
@@ -19,15 +20,17 @@
  xmlto,
 Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
+Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome/tree/ubuntu/latest
 
 Package: xdg-desktop-portal-gnome
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
  dbus-user-session | dbus-x11,
- gsettings-desktop-schemas (>= 47~rc),
+ gsettings-desktop-schemas (>= 50~),
  nautilus (>= 47~beta),
  xdg-desktop-portal (>= 1.17.1),
  xdg-desktop-portal-gtk,

## xdg-desktop-portal-gnome 50~beta

=== debian/changelog ===
xdg-desktop-portal-gnome (50~beta-1ubuntu1) resolute; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 09:39:06 +0100

xdg-desktop-portal-gnome (50~beta-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/control: Bump minimum gsettings-desktop-schemas

  [ Jeremy Bícha ]
  * Bump minimum gtk4
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 17:39:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: xdg-desktop-portal-gnome
+Standards-Version: 4.7.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Jeremy Bícha <jbicha@ubuntu.com>,
+ Simon McVittie <smcv@debian.org>,
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
  gsettings-desktop-schemas-dev (>= 50~),
  libfontconfig-dev,
  libadwaita-1-dev (>= 1.7~alpha),
- libglib2.0-dev (>= 2.44),
+ libglib2.0-dev,
  libgnome-desktop-4-dev,
  libgnome-bg-4-dev,
- libgtk-4-dev (>= 4.17.1),
- meson (>= 0.57.0),
- systemd-dev (>= 242),
+ libgtk-4-dev (>= 4.21),
+ meson,
+ systemd-dev,
  xdg-desktop-portal-dev (>= 1.19.1),
  xmlto,
-Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-desktop-portal-gnome
@@ -38,7 +40,7 @@
  ${shlibs:Depends},
 Recommends:
  gnome-shell (>= 48~) | budgie-desktop (>= 10.7.2-0.1~),
- gnome-settings-daemon (>= 41~),
+ gnome-settings-daemon,
  papers,
 Suggests:
  accountsservice,
